# $Revision: 1.10 $, $Date: 2010/09/06 13:18:59 $
# TODO
# - static package
Summary:	The talloc library
Name:		libtalloc
Version:	2.0.1
Release:	5
Epoch:		2
License:	LGPL v3+
Group:		Daemons
URL:		http://talloc.samba.org/
Source0:	http://samba.org/ftp/talloc/talloc-%{version}.tar.gz
# Source0-md5:	c6e736540145ca58cb3dcb42f91cf57b
BuildRequires:	autoconf
BuildRequires:	docbook-style-xsl
BuildRequires:	libxslt
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library that implements a hierarchical allocator with destructors.

%package devel
Summary:	Developer tools for the Talloc library
Group:		Development/Libraries
Requires:	libtalloc = %{epoch}:%{version}-%{release}
Provides:	pkgconfig(talloc)

%description devel
Header files needed to develop programs that link against the Talloc
library.

%prep
%setup -q -n talloc-%{version}

%build
./autogen.sh
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -s libtalloc.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libtalloc.so
ln -s libtalloc.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libtalloc.so.2

rm -f $RPM_BUILD_ROOT%{_libdir}/libtalloc.a
rm -f $RPM_BUILD_ROOT%{_datadir}/swig/*/talloc.i

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%triggerpostun -p /sbin/postshell -- %{name} < 2:2.0.1-5
-rm -f %{_libdir}/libtalloc.so.2
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtalloc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtalloc.so.2

%files devel
%defattr(644,root,root,755)
%{_includedir}/talloc.h
%attr(755,root,root) %{_libdir}/libtalloc.so
%{_pkgconfigdir}/talloc.pc
%{_mandir}/man3/talloc.3*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libtalloc.spec,v $
Revision 1.10  2010/09/06 13:18:59  glen
- rm file before ldconfig in trigger; rel 5

Revision 1.9  2010/08/30 18:26:59  arekm
- rel 4; fix libtalloc.so.2(file->symlink) on samba libtalloc -> this libtalloc upgrade

Revision 1.8  2010/08/30 17:57:25  glen
- revert bogus commit

Revision 1.7  2010/08/30 17:46:52  shadzik
- fix ldconfig
- rel 3

Revision 1.6  2010/08/30 17:17:48  shadzik
- P: pkgconfig(talloc)
- rel 2

Revision 1.5  2010/08/30 05:17:57  arekm
- epoch 2 to be bigger version than libtalloc from samba.spec

Revision 1.4  2010/08/29 17:37:20  glen
- add buildroot, add ghost soname link

Revision 1.3  2010/08/19 18:48:30  arekm
- actually this is newer lib than samba one

Revision 1.2  2010/08/19 18:43:28  arekm
- block for now

Revision 1.1  2010/08/19 18:42:44  arekm
- initial
